Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Class TelemetryMetricID

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricID

public class TelemetryMetricID extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final io.opentelemetry.api.common.Attributes`
`attributes`
`final String`
`name`
`final TelemetryMetricDefinition.MetricType`
`type`

## Constructor Summary

Constructors
Constructor
Description
`TelemetryMetricID(String classMethodName, TelemetryMetricDefinition.MetricType type, io.opentelemetry.api.common.Attributes attributes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name

### attributes

public final io.opentelemetry.api.common.Attributes attributes

### type

public final TelemetryMetricDefinition.MetricType type

## Constructor Details

### TelemetryMetricID

public TelemetryMetricID(String classMethodName, TelemetryMetricDefinition.MetricType type, io.opentelemetry.api.common.Attributes attributes)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`